#
# spec file for package gnome-passwordsafe
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define appname PasswordSafe
Name:           gnome-passwordsafe
Version:        3.30.2
Release:        1.2
Summary:        A password manager for GNOME
License:        GPL-3.0-or-later
Group:          Productivity/Security
URL:            https://gitlab.gnome.org/World/PasswordSafe
Source:         https://gitlab.gnome.org/World/PasswordSafe/-/archive/%{version}/PasswordSafe-%{version}.tar.bz2
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  python3-base
BuildRequires:  python3-pykeepass
BuildRequires:  python3-construct
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libhandy-0.0)
Requires:       python3-pykeepass
Requires:       python3-construct
BuildArch:      noarch

%description
Password Safe is a password manager which makes use of the Keepass v.4 format.
It integrates with the GNOME desktop and provides an interface for the management of password databases.

%lang_package

%prep
%setup -q -n %{appname}-%{version}

%build
%meson
%meson_build

%install
%meson_install
%suse_update_desktop_file org.gnome.PasswordSafe System Security

%find_lang passwordsafe %{?no_lang_C}

%files
%license LICENSE
%doc README.md
%{_bindir}/gnome-passwordsafe
%{python3_sitelib}/passwordsafe/
%{_datadir}/applications/*.desktop
%{_datadir}/passwordsafe/
%{_datadir}/glib-2.0/schemas/org.gnome.PasswordSafe.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*
%dir %{_datadir}/metainfo
%{_datadir}/metainfo/*.appdata.xml

%files lang -f passwordsafe.lang

%changelog
* Thu Nov 22 2018 Jan Engelhardt <jengelh@inai.de>
- Drop judgment from description.
* Wed Oct 31 2018 badshah400@gmail.com
- Update to version 3.30.2:
  + Updated translations.
- Changes from version 3.30.1:
  + Assign a color and additional attributes to entries.
  + Database keyfile changing.
  + Responsive UI for both desktop and mobile.
- Split out lang package.
- Add new BuildRequires: pkgconfig(libhandy-0.0) and
  python3-construct (also as Requires).
* Wed Aug 22 2018 badshah400@gmail.com
- Initial package.
